<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateStudentEnrollTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_enroll', function (Blueprint $table) {
          
            $table->increments('id');
            $table->string('reg_no');
            $table->integer('student_id');
            $table->integer('session_id');
            $table->string('ref_code');
            $table->string('paid_status');
            $table->string('payment_medium')->nullable();
            $table->decimal('payable_amount', 15, 2)->nullable();
            $table->timestamps();
            $table->softDeletes();
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_enroll');
    }
}
